/**
   Show that the two versions of edit()
   produce slightly different edits.
*/
public class TestEditDistance_2
{
   public static void main(String[] args)
   {
      String s, t, edits;
      int dist;

      s = "abbb";
      t = "abb";
      dist = EditDistance.edit(s, t);
      edits = EditDistance_v2.edit1(s, t, s.length(), t.length());
      System.out.println(s + ", " + t + ", " + edits + ", dist = " + dist);
      edits = EditDistance_v2.edit2(s, t, s.length(), t.length());
      System.out.println(s + ", " + t + ", " + edits + ", dist = " + dist);

      System.out.println();

      s = "aaab";
      t = "aab";
      dist = EditDistance.edit(s, t);
      edits = EditDistance_v2.edit1(s, t, s.length(), t.length());
      System.out.println(s + ", " + t + ", " + edits + ", dist = " + dist);
      edits = EditDistance_v2.edit2(s, t, s.length(), t.length());
      System.out.println(s + ", " + t + ", " + edits + ", dist = " + dist);
   }
}
