/**
   Test any one of the four versions of EditDistance.
*/
public class TestEditDistance_3
{
   public static void main(String[] args)
   {
      final String s1 = "cars";
      final String t1 = "scar";
      System.out.println( s1 + ", " + t1 + ", " + EditDistance_v2.edit(s1, t1) );

      final String s2 = "scar";
      final String t2 = "cars";
      System.out.println( s2 + ", " + t2 + ", " + EditDistance_v2.edit(s2, t2) );

      final String s3 = "axxxxxxxxx";
      final String t3 = "xxxxxxxxxa";
      System.out.println( s3 + ", " + t3 + ", " + EditDistance_v2.edit(s3, t3) );

      final String s4 = "xxaxxxxxxxx";
      final String t4 = "xxxxxxaxxxx";
      System.out.println( s4 + ", " + t4 + ", " + EditDistance_v2.edit(s4, t4) );

      final String s5 = "xxaxxxxxxxxx";
      final String t5 = "xxxxxaxxxx";
      System.out.println( s5 + ", " + t5 + ", " + EditDistance_v2.edit(s5, t5) );

      final String s6 = "axxxxxxxxxxxx";
      final String t6 = "xxxxxxxxxxa";
      System.out.println( s6 + ", " + t6 + ", " + EditDistance_v2.edit(s6, t6) );

      final String s7 = "xxaxxxaxxxxxxx";
      final String t7 = "xxxxaxxxaxxx";
      System.out.println( s7 + ", " + t7 + ", " + EditDistance_v2.edit(s7, t7) );
   }
}
